Subject: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error: error invoking gcc driver

From: Pankaj Jangid <[email-masked]>
Date: Sun, 18 Apr 2021 00:19:41 +0530

Pankaj Jangid <[email-masked]> writes:

>>>    export PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
>>> 
>>> And then launched ‘Emacs’ from there. Worked perfectly fine.
>>
>> But the problem is not when Emacs is run from CLI, it's when it's run
>> from GUI, right?  Because /usr/local/bin is not in PATH then.
>
> I think I need to do at least one more experiment. Launch ‘emacs’ from a
> wrapper script ... launched from GUI.
>
> Wrapper scripts sets PATH and launch ‘emacs’. Let me do it and report in
> a while.

I have yet to find a way to set the environment variable PATH in macos
so that the GUI apps find it. It appears that it is not straightforward.

Anyway, this is not a blocker for merging into master.

I’ll update here once I am done with the PATH settings.